summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorUwe Hermann <uwe@hermann-uwe.de>2011-12-30 10:42:39 +0100
committerUwe Hermann <uwe@hermann-uwe.de>2011-12-30 11:14:05 +0100
commita190e97997d091a6a1ff53d4f50ce6eae26ab9ae (patch)
treea13c5e4b905478c7326543bf1e4182a540033b01 /autogen.sh
parent81fc8c6bdea80ea4abf6ed636f88bf5e93b26420 (diff)
downloadlibsigrokdecode-a190e97997d091a6a1ff53d4f50ce6eae26ab9ae.tar.gz
libsigrokdecode-a190e97997d091a6a1ff53d4f50ce6eae26ab9ae.zip
sr/srd: Move some files to their resp. dirs.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..0f4a777
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,50 @@
+#!/bin/sh
+##
+## This file is part of the sigrok project.
+##
+## Copyright (C) 2010 Bert Vermeulen <bert@biot.com>
+##
+## This program is free software: you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation, either version 3 of the License, or
+## (at your option) any later version.
+##
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+## GNU General Public License for more details.
+##
+## You should have received a copy of the GNU General Public License
+## along with this program. If not, see <http://www.gnu.org/licenses/>.
+##
+
+OS=`uname`
+
+LIBTOOLIZE=libtoolize
+ACLOCAL_DIR=
+
+if [ "x$OS" = "xDarwin" ]; then
+ LIBTOOLIZE=glibtoolize
+
+ if [ -d /sw/share/aclocal ]; then
+ # fink installs aclocal macros here
+ ACLOCAL_DIR="-I /sw/share/aclocal"
+ elif [ -d /opt/local/share/aclocal ]; then
+ # Macports installs aclocal macros here
+ ACLOCAL_DIR="-I /opt/local/share/aclocal"
+ elif [ -d /usr/share/aclocal ]; then
+ # Xcode installs aclocal macros here
+ ACLOCAL_DIR="-I /usr/share/aclocal"
+ fi
+
+elif [ "x$OS" = "xMINGW32_NT-5.1" ]; then
+ ACLOCAL_DIR="-I /usr/local/share/aclocal"
+fi
+
+echo "Generating build system..."
+${LIBTOOLIZE} --install --copy --quiet || exit 1
+aclocal ${ACLOCAL_DIR} || exit 1
+autoheader || exit 1
+automake --add-missing --copy --foreign || exit 1
+autoconf || exit 1
+